libzypp: zypp_private::repo::Monitor Struct Reference

libzypp 17.38.5

zypp_private::repo::Monitor Struct Reference

## Public Types
using | Callback = std::function<bool(std::optional<std::string>)>
| Report a line of output (without trailing NL) otherwise a life ping on timeout.

## Public Member Functions
| Monitor (io::timeout_type timeout_r=io::no_timeout)
int | operator() (ExternalProgram &prog_r, Callback cb_r=Callback())

## Private Member Functions
bool | reportLine (std::string &line_r, Callback &cb_r)
bool | reportTimeout (Callback &cb_r)
bool | reportFinalLineUnlessEmpty (std::string &line_r, Callback &cb_r)

## Private Attributes
io::timeout_type | _timeout = io::no_timeout

## Detailed Description

Definition at line 33 of file PluginRepoverification.cc.

## Member Typedef Documentation

## ◆ Callback

using zypp_private::repo::Monitor::Callback = std::function<bool(std::optional<std::string>)>

Report a line of output (without trailing NL) otherwise a life ping on timeout.

Definition at line 36 of file PluginRepoverification.cc.

## Constructor & Destructor Documentation

## ◆ Monitor()

zypp_private::repo::Monitor::Monitor | ( | io::timeout_type | timeout_r = io::no_timeout | ) |
| inline

Definition at line 38 of file PluginRepoverification.cc.

## Member Function Documentation

## ◆ operator()()

int zypp_private::repo::Monitor::operator() | ( | ExternalProgram & | prog_r,
|  | Callback | cb_r = Callback() )
| inline

Definition at line 42 of file PluginRepoverification.cc.

## ◆ reportLine()

bool zypp_private::repo::Monitor::reportLine | ( | std::string & | line_r,
|  | Callback & | cb_r )
| inlineprivate

Definition at line 80 of file PluginRepoverification.cc.

## ◆ reportTimeout()

bool zypp_private::repo::Monitor::reportTimeout | ( | Callback & | cb_r | ) |
| inlineprivate

Definition at line 89 of file PluginRepoverification.cc.

## ◆ reportFinalLineUnlessEmpty()

bool zypp_private::repo::Monitor::reportFinalLineUnlessEmpty | ( | std::string & | line_r,
|  | Callback & | cb_r )
| inlineprivate

Definition at line 93 of file PluginRepoverification.cc.

## Member Data Documentation

## ◆ _timeout

io::timeout_type zypp_private::repo::Monitor::_timeout = io::no_timeout
| private

Definition at line 100 of file PluginRepoverification.cc.

The documentation for this struct was generated from the following file:

- zypp/repo/PluginRepoverification.cc